EDIT - bug #9365

Reuse taxon does not work in new Taxon dialogue
12/22/2020 09:09 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

partly copied from #5114.

If reuse taxon is selected still a new taxon is created.

Also the secundum field should be disabled as long as reuse taxon is selected (it is already filled with the correct secundum).

Related issues:

Related to EDIT - task #9407: Reuse taxon should check classification before ... New

Associated revisions

Revision de6b6edb - 01/15/2021 09:43 AM - Katja Luther

fix #9365: fix reuse taxon in newTaxonNodeWizard

Revision 39973b73 - 01/21/2021 11:56 AM - Katja Luther

ref #9393: disable sec selection if reused taxon is used

Revision ¢113bc55 - 01/21/2021 02:40 PM - Katja Luther

merge the two create taxon methods

Revision 0b2155a2 - 01/22/2021 04:32 PM - Andreas Miiller

ref #9365 update code for reuse taxon (change order for check name and check taxon and throw exceptions if not exists)

History

#2 - 12/22/2020 09:12 PM - Andreas Miiller
- Description updated

#3 - 01/15/2021 09:43 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|de6b6edbe71e3f03039fbc6436ad7edba7651e3b.

#4 - 01/15/2021 09:44 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- Severity changed from normal to blocker

please review

#5 - 01/21/2021 11:38 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- Severity changed from blocker to normal
The disabling of the secundum is still missing.

#6 - 01/21/2021 11:49 AM - Andreas Miiller

As you are now using a different method for createNewTaxonNode all the TaxonNode data like source and status are not persisted anymore.
| guess we should combine the 2 methods in a way that they use the same code except for all taxon related data.

So the reuse taxon method fetches the taxon and then runs the taxon node code and the DTO method creates the taxon and then runs the same
code for taxon node data. Ofcourse the signature of the first method needs to be adapted, then.

#7 - 01/21/2021 11:53 AM - Katja Luther
This is fixed with the last commit for #9393

#8 - 01/21/2021 12:04 PM - Andreas Miuller

- Related to task #9407: Reuse taxon should check classification before save added

#9 - 01/21/2021 12:22 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
please review.

#10 - 01/21/2021 01:02 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther
Andreas Miller wrote:
As you are now using a different method for createNewTaxonNode all the TaxonNode data like source and status are not persisted anymore.

| guess we should combine the 2 methods in a way that they use the same code except for all taxon related data.

Has this also been fixed? | can't see the code.

#11 - 01/22/2021 09:12 AM - Katja Luther
- Status changed from Feedback to Resolved
Andreas Miller wrote:

Andreas Miiller wrote:

As you are now using a different method for createNewTaxonNode all the TaxonNode data like source and status are not persisted
anymore.

| guess we should combine the 2 methods in a way that they use the same code except for all taxon related data.

Has this also been fixed? | can't see the code.

this is fixed, too.

#12 - 01/22/2021 12:17 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#13 - 01/22/2021 04:26 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 90

| changed it a bit the way that first it is checked if a taxon is reused, if not a new taxon is created (with according params) and it is checked if a name
is reused. If not everything is created a new.
If reuse taxon or name do not exist an exception is thrown (until now a new taxon was created which is unwanted behavior | guess).

Please review updated code. If ok, close ticket.

#14 - 01/25/2021 09:25 AM - Katja Luther
- Status changed from Feedback to Closed

the looks fine, close the ticket.
